Subject: RE: Difficulty implementing a gateway node for a peer-to-peer ad hoc network using AODV routing

From: MEDDOUR Djamal Eddine thesard FTRD/DAC/LAN <[email-masked]>
Date: Thu, 14 Feb 2002 16:02:43 +0100

hi all
I think that we must define a communicationinterface between your gateway
and internet independently of the routing protocol which we use. there is
some studies which talk about this problem. 
we can find perhaps some indication in : 
or :
http://www.ietf.org/internet-drafts/draft-wakikawa-manet-globalv6-00.txt
     www.public.iastate.edu/~magico/Files_Pubs/LCN-ClusterGateway.pdf 

best regards
djamal eddine

-----Message d'origine-----
De : Erik Nordström [mailto:[email-masked]]
Envoyé : jeudi 14 février 2002 11:21
À : [email-masked]
Cc : MANET LIST
Objet : Re: Difficulty implementing a gateway node for a peer-to-peer ad
hoc network using AODV routing

Hello Piers.

AODV currently does not define a way to do "Internet gatewaying". The
main problem has to do with the way subnets should be handled in an
ad-hoc network. The AODV draft says that nodes should be able to have IP
addresses belonging to different subnets, but they should still be able
to communicate directly. This clearly breaks the subnet idea of
"traditional" IP routing and makes Internet gatewaying impossible.
Apparently, the way to do this is a MANET problem, something not decided
on yet. However, there exists a few drafts on how to connect an ad-hoc
network to the Internet.

I don't know which implementation of AODV you are using, but it sounds
like "kernel-aodv". I don't think that implementation has any Internet
gateway support.

If you want to experiment, you could try the AODV-UU implementation
(version 0.2) which has experimental Internet gateway support. This
feature is implemented with the restriction that nodes should be
configured with IP-addresses on the same subnet.

http://www.docs.uu.se/~henrikl/aodv/

Otherwise I would recommend using LUNAR, which is a bit more robust, but
are created for smaller networks of up to around 10 nodes.

http://www.docs.uu.se/docs/research/projects/selnet/lunar/

I hope this answers your questions.

/Erik Nordström, 

Uppsala University.

On Thu, 2002-02-14 at 00:06, [email-masked] wrote:
> Hi all,
> 
> I am trying to connect a network of ad hoc nodes (running in peer-to-peer
> mode using AODV routing) to our company intranet using a 'gateway node'.
> This 'gateway node' contains 2 network interfaces :
> - 1 wireless (802.11) for speaking to the ad hoc nodes (hereafter referred
> to as GN-eth-802.11), and
> - 1 wired (802.3 i.e. regular ethernet) for speaking to the company
> intranet (hereafter referred to as GN-eth-802.3).
> 
> Below is a rough ASCII sketch of the arrangement :
> 
>                                                                  'gateway
> node'
>      -----------       802.11
> ----------------------------------------------------          802.3
> --------------------------------
>      | Client |    <---------->   |  GN-eth-802.11   |   GN -eth-802.3   |
> <---------->   |  Company Intranet   |
>      -----------
> ----------------------------------------------------
> --------------------------------
> 
> After booting the gateway node and a client node (but before enabling the
> AODV routing), I can ping from the client node to all of the following
> successfully i.e.
> 
> Client   --------------------->  GN-eth-802.11
> (successful)
> Client   ------------------------------------------------->  GN-eth-802.3
> (successful)
> Client
>
----------------------------------------------------------------------------
------------------->
> 
> Company intranet    (successful)
> 
> 
> However, after starting up AODV, the client node can still reach the
> wireless interface of the gateway node (GN-eth-802.11), but can no longer
> reach the wired interface of the gateway node (GN-eth-802.3) or the
company
> intranet i.e.
> 
> Client   --------------------->  GN-eth-802.11
> (successful)
> Client   -------------------------------------XXX--------->  GN-eth-802.3
> (NOTsuccessful)
> Client
>
-------------------------------------XXX------------------------------------
---------------->
> 
> Company intranet    (NOT successful)
> 
> 
> It seems that as soon as I 'insmod' the AODV routing module, it breaks the
> connection to the wired segment fo the network.  I looked at the kernel IP
> routing table (using the 'route' command) and can see that the AODV module
> has updated the kernel IP routing table (which is to be expected for the
> wireless 802.11 ethX interface).  However, after 'insmod'ing the AODV
> routing module, some of the routing entries for the wired 802.3 ethX
> interface also seem to have been modified / deleted.  I have tried looking
> at the differences and manually adding some of the desired route entries
> using the 'route add' command, but have so far been unsuccessful in
> reconnecting the wired part of the network once AODV is running.
> 
> So finally ;-) , my questions are :
> 
> - has anyone successfully configured a 'gateway node' with both wired and
> wireless network interfaces, and where AODV routing is used for the ad hoc
> nodes running in peer-to peer mode ?
> 
> - is this a configuration issue, or does installing the AODV module change
> something else in addition to modifying the kernel IP routing table ?
> 
> - is there another (better or easier) way of implementing a gateway node
> for connecting a wired network to a wireless network running AODV,
> OPERATING IN PEER-TO-PEER MODE (since the ad hoc nodes are running in
> peer-to-peer mode, I can't just use a COTS wireless router operating in
> infrastructure mode) ?
> 
> Any advice / information much appreciated.
> 
> Thanks.
> 
> - Piers.
> 
> 
> 
> 
> 
> 
> 
> 
>